Subject: Re: linux-next: manual merge of the net-next tree with the net tree

From: "Yuval Mintz" <[email-masked]>
Date: Thu, 16 Feb 2012 15:47:04 +0200

On Thu, 2012-02-16 at 13:24 +0200, Yuval Mintz wrote:
> On Wed, 2012-02-15 at 17:38 -0800, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the net-next tree got a conflict in
> > drivers/net/ethernet/broadcom/bnx2x/bnx2x_stats.c between commit
> > 66d885cba670 ("bnx2x: fix bnx2x_storm_stats_update() on big endian") from
> > the net tree and commit 1355b704b9ba ("bnx2x: consistent statistics after
> > internal driver reload") from the net-next tree.
> > 
> > I fixed it up (see below) but suspect that there may be more needed.
> 
> Hey Stephen,
> 
> I don't fully understand your merge - it seems to create a mash between
> the "bnx2x: fix bnx2x_storm_stats_update() on big endian" patch in net,
> and the "bnx2x: consistent statistics after internal driver reload"
> patch in net-next.
> 
> If the purpose of this merge is simply to update net-next tree with the
> changes from "bnx2x: fix bnx2x_storm_stats_update() on big endian", you
> might consider the following patch:
> 
> Subject: [PATCH 1/1] bnx2x: merge net --> net-next
> From: Mintz Yuval <[email-masked]>
> 
> This patch applies the changes made in the patch
> "bnx2x: fix bnx2x_storm_stats_update() on big endian" to net into net-next.
> 
> Signed-off-by: Mintz Yuval <[email-masked]>
> Signed-off-by: Eilon Greenstein <[email-masked]>
> ---
We need of course to thank Eric Dumazet <[email-masked]> for the
original patch.